package model

// 删除消息请求对象l
type DeleteMessageRequest struct {
	// 公共请求参数
	common *CommonRequest

	// 上次消费返回唯一的消息句柄，用于删除消息。(必须)
	receiptHandle string
}

// 获取请求方法名
func (this *DeleteMessageRequest) GetActionName() string {
	return "DeleteMessage"
}

// SetCommonRequest 设置公共请求对象
func (this *DeleteMessageRequest) SetCommonRequest(commonRequest *CommonRequest) {
	this.common = commonRequest
}

// AssembleParamMap 组装参数字典
// 返回值
// map[string]string:请求参数字典
func (this *DeleteMessageRequest) AssembleParamMap() map[string]string {
	paramMap := this.common.AssembleParamMap()
	paramMap["receiptHandle"] = this.receiptHandle

	return paramMap
}

func NewDeleteMessageRequest(receiptHandle string) *DeleteMessageRequest {
	return &DeleteMessageRequest{
		receiptHandle: receiptHandle,
	}
}

// 删除消息请求返回结果对象
type DeleteMessageResponse struct {
	// 公共请求结果
	*CommonResponse
}

func NewDeleteMessageResponse() *DeleteMessageResponse {
	return &DeleteMessageResponse{}
}
